@echo off
@echo Installing WebSphere Console Extensions
@echo setup Command Env Vars
call %1\bin\setupCmdLine.bat
if errorlevel 1 goto cmdLineSetupError

for %%A in (dynamiccluster nodegroups xdruntime runtimemap policyconfiguration dwlm healthconfig taskconfig hmm taskmanagement guidedactivity proxy) do call "%~dp0setupForRestore.cmd" "%~1" %%A
if errorlevel 1 goto setupForRestoreError

@echo Set WAS_PLPR_ROOT
set WAS_PLPR_ROOT=%~1\installedApps\%WAS_CELL%
@echo Restore Admin Console
call "%~dp0XDPluginProcessor.cmd" -restore
if errorlevel 1 goto restoreError

@echo Exporting adminconsole.ear
@echo on
IF EXIST %1\xdinstall_tmp RMDIR /S /Q %1\xdinstall_tmp
MKDIR %1\xdinstall_tmp
XCOPY  /E /Q /I /Y %1\installedApps\%WAS_CELL%\adminconsole.ear %1\xdinstall_tmp\adminconsole.ear
pushd %1\xdinstall_tmp
pushd %1\xdinstall_tmp\adminconsole.ear
"%~1\java\bin\jar" -cf adminconsole_tmp.war -C adminconsole.war\ .
RMDIR /S /Q adminconsole.war
COPY /Y adminconsole_tmp.war adminconsole.war
DEL /Q adminconsole_tmp.war
popd
"%~1\java\bin\jar" -cf adminconsole_tmp.ear -C adminconsole.ear\ .
RMDIR /S /Q adminconsole.ear
COPY /Y adminconsole_tmp.ear adminconsole.ear
DEL /Q adminconsole_tmp.ear
popd
XCOPY /Q /I /Y %1\xdinstall_tmp\*.ear %1\config\cells\%WAS_CELL%\applications\adminconsole.ear
RMDIR /S /Q %1\xdinstall_tmp

@echo copy files into config dir
XCOPY /Q /I /Y %1\installedApps\%WAS_CELL%\adminconsole.ear\adminconsole.war\WEB-INF\*.* %1\config\cells\%WAS_CELL%\applications\adminconsole.ear\deployments\adminconsole\adminconsole.war\WEB-INF
XCOPY /Q /I /Y %1\installedApps\%WAS_CELL%\adminconsole.ear\META-INF\*.* %1\config\cells\%WAS_CELL%\applications\adminconsole.ear\deployments\adminconsole\META-INF

@echo Touch console files
if exist %WAS_HOME%\bin\ws_ant.bat (
 call %WAS_HOME%\bin\ws_ant.bat -DWAS_HOME=%WAS_HOME% -DWS_CMT_CELL_NAME=%WAS_CELL% -f %WAS_HOME%\properties\version\install\5.1.0.0\config\full\install\99StouchConsole.ant
)

goto end

rem ********************************************
rem Error routines
rem ********************************************
:setupForRestoreError
echo Error durring setup for Restore
goto end
:restoreError
echo Error durring Restore
goto end
:tldcopyfailed
echo Error copying .tld files to deployed admin console application
goto end
:consoledefcopyfailed
echo Error copying console-def.xml files to deployed admin console application
goto end
:cmdLineSetupError
echo Error setting up command line environment variables
goto end
:end
echo Finished
